module SpreeOrderMessage::V2::Storefront::CartSerializerDecorator
  def self.prepended(base)
    base.has_one :order_message
  end
end

Spree::V2::Storefront::CartSerializer.prepend(SpreeOrderMessage::V2::Storefront::CartSerializerDecorator) if Spree::V2::Storefront::CartSerializer.included_modules.exclude?(SpreeOrderMessage::V2::Storefront::CartSerializerDecorator)
